/*
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License.  You may obtain a
 * copy of the License at the following location:
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

html, body, div, span, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, abbr, address, cite, code, del, dfn, em, img, ins, kbd, q, samp, small, strong, sub, sup, var, b, i, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, figcaption, figure, footer, header, hgroup, menu, nav, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

body {
    line-height: 1;
}

nav ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after {
    content: '';
    content: none;
}

a {
    margin: 0;
    padding: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
    color: #ffffff;
}

ins {
    background-color: #ff9;
    color: #000;
    text-decoration: none;
}

mark {
    background-color: #ff9;
    color: #000;
    font-style: italic;
    font-weight: bold;
}

del {
    text-decoration: line-through;
}

abbr[title], dfn[title] {
    border-bottom: 1px dotted;
    cursor: help;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #cccccc;
    margin: 1em 0;
    padding: 0;
}

input, select {
    vertical-align: middle;
}

body {
    font-family: Verdana, sans-serif;
    font-size: 11px;
    line-height: 1.4em;
    background: #eee;
}

#container {
    width: 100%;
    height: 100%;
    min-height: 600px;
    margin: 0 auto;
    background-image: url("../images/body2.png");
    background-size: 100% 100%;
    display: flex;
    flex-direction: column;
    /*justify-content: center;*/
    align-items: center;
}

header, #content {
    /*background: #fff;*/
    -webkit-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
}

#content {
    -webkit-border-radius: 5px;
    border-radius: 5px;
    -moz-border-radius: 5px;
    background-image: url("../images/login-bg.png");
    background-size: 100% 100%;
}

@media only screen and (max-width: 960px) {
    #container {
        width: 100%;
    }

    #content {
        -webkit-border-bottom-right-radius: 0px;
        -webkit-border-bottom-left-radius: 0px;
        -moz-border-radius-bottomright: 0px;
        -moz-border-radius-bottomleft: 0px;
        border-bottom-right-radius: 0px;
        border-bottom-left-radius: 0px;
    }
}

header {
    padding-top: 10px;
}

header #logo {
    display: block;
    width: 118px;
    height: 31px;
    text-indent: -999em;
    background: url(../images/ja-sig-logo.gif) no-repeat;
    margin: 0 0 10px 10px;
}

header h1 {
    color: white;
    padding: 1.4em 1.4em;
    font-size: 2em;
    font-weight: normal;
}

#content {
    display: flex;
    justify-content: center;
    position: absolute;
    top: calc(50% - 225px);
}

#msg {
    padding: 20px;
    margin-bottom: 10px;
}

#msg h2 {
    font-size: 1.4em;
    margin-bottom: 1em;
}

#msg.errors {
    border: 1px dotted #BB0000;
    color: #BB0000;
    padding-left: 100px;
    background: url(../images/error.gif) no-repeat 20px center;
}

#msg.success {
    border: 1px dotted #390;
    color: #390;
    padding-left: 100px;
    background: url(../images/confirm.gif) no-repeat 20px center;
}

#msg.info {
    border: 1px dotted #008;
    color: #008;
    padding-left: 100px;
    background: url(../images/info.gif) no-repeat 20px center;
}

#msg.question {
    border: 1px dotted #390;
    color: #390;
    padding-left: 100px;
    background: url(../images/question.png) no-repeat 20px center;
}

#msg.warn {
    border: 1px dotted #960;
    color: #960;
    padding-left: 100px;
    background: #ffbc8f url(../images/info.gif) no-repeat 20px center;
}

#msg.warn .message {
    color: black;
    margin: 1em;
    font-size: 1.4em
}

#login {
    width: 430px;
    margin: 0 auto;
}

#fm1 {
    padding: 20px 40px;
    /*background: #ffffff;*/
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    box-shadow: 1px 1px 10px 1px #e5e5e5;
}

#fm1 h2 {
    font-size: 1.4em;
    font-weight: normal;
    padding-bottom: 10px;
    margin-bottom: 10px;
    /*border-bottom: 1px solid #DDDDDD;*/
}

#fm1 .row {
    margin-bottom: 25px;
}

#fm1 .row label {
    color: #fff;
}

#fm1 .row input[type=text],
#fm1 .row input[type=password] {
    padding: 10px 10px;
    border: 1px solid transparent;
    background: transparent;
    width: 100%;
}

#fm1 .row.check {
    padding-bottom: 10px;
    margin-bottom: 10px;
    color: #777;
    font-size: 11px;
}

#fm1 .row.check label {
    display: inline;
}

#fm1 .row .btn-submit {
    border-width: 2px;
    padding: 3px;
    margin-right: 4px;
    background: #1E75FF;
    font-size: 20px;
}

#fm1 .row .btn-reset {
    border: 0;
    background: none;
    color: #777;
    text-transform: lowercase;
    border-left: 1px solid #ddd;
}

#fm1 .row .btn-submit:hover,
#fm1 .row .btn-reset:hover {
    cursor: pointer;
}

#sidebar {
    width: auto;
}

#sidebar .sidebar-content {
    padding-left: 20px;
}

#sidebar .sidebar-content p {
    margin-bottom: 1.4em;
}

#list-languages ul {
    list-style: none;
}

#list-languages ul li {
    display: inline-block;
    padding: 0px 10px;
    border-right: 1px solid #e2e2e2;
}

#list-languages ul li:last-child {
    border: 0;
    line-height: 1.4em;
}

footer {
    color: #999;
    margin: 20px 0;
}

@media only screen and (max-width: 960px) {
    footer {
        padding-left: 10px;
    }
}

@media only screen and (max-width: 799px) {
    header h1 {
        font-size: 1em;
    }

    #login {
        float: none;
        width: 100%;
    }

    #fm1 .row input[type=text],
    #fm1 .row input[type=password] {
        width: 100%;
        padding: 10px;
        box-sizing: border-box;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
    }

    #fm1 .row .btn-submit {
        outline: none;
        -webkit-appearance: none;
        -webkit-border-radius: 0;
        border: 0;
        color: white;
        font-weight: bold;
        width: 100%;
        padding: 10px 20px;
    }

    #fm1 .row .btn-reset {
        display: none;
    }

    #sidebar {
        margin-top: 20px;
    }

    #sidebar .sidebar-content {
        padding: 0;
    }

}

a.button {
    font-weight: bold;
    height: 1.7em;
    padding: 1.2em 1em .6em 1em;
    text-align: center;
    text-decoration: none;
    color: white;
    background-color: #79946c;
    border-top: 1px solid #82b36c;
    border-left: 1px solid #82b36c;
    border-right: 1px solid #304228;
    border-bottom: 1px solid #304228;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

#big-buttons a.button {
    display: block;
    position: relative;
    font-size: 1.6em;
    margin: 20px auto;
    width: 200px;
    overflow: hidden;
    -moz-border-radius: 7px;
    border-radius: 7px;
    border-top: 2px solid #82b36c;
    border-left: 2px solid #82b36c;
    border-right: 2px solid #304228;
    border-bottom: 2px solid #304228;
}

a.button:hover {
    color: #ffff94;
    background-color: #819e73;
}

.button-down {
    border-top: 1px solid #304228;
    border-left: 1px solid #304228;
    border-right: 1px solid #82b36c;
    border-bottom: 1px solid #82b36c;
}

#big-buttons .button-down {
    border-top: 2px solid #304228;
    border-left: 2px solid #304228;
    border-right: 2px solid #82b36c;
    border-bottom: 2px solid #82b36c;
}

#weixinIcon {
    display: block;
    width: 30px;
    height: 30px;
    border-radius: 50px;
    cursor: pointer;
    background: url(../images/wx.png) no-repeat center center;
    background-size: 100% 100%;
}

#weixinIcon:hover {
    background: url(../images/wx1.png) no-repeat center center;
    background-size: 100% 100%;
}

label {
    font-size: 16px;
    /*color: #333333 !important;*/
}

#checkBox {
    display: flex !important;
    justify-content: flex-start !important;
    align-content: center !important;
    align-items: center !important;
}

.row {
    color: #333;
    display: flex !important;
    justify-content: flex-start !important;
    align-content: center !important;
    align-items: center !important;
}

.row label {
    margin-right: -1px;
}

#btnBox {
    display: flex;
    justify-content: space-evenly !important;
}

#btnSub {
    width: 100%;
    background: #01ADD6;
    border-radius: 4px;
    border: none;
    /*box-shadow: 1px 2px 6px 1px #e5e5e5;*/
    padding: 12px 27px !important;
    color: #ffffff;
    font-size: 16px;
    marign-top: 20px;
}

#btnSub:hover {
    background: #0095E6;
}

#btnBox > .btn-reset {
    background: #f7f7f7 !important;
    border-radius: 50px;
    border: none;
    box-shadow: 1px 2px 6px 1px #e5e5e5;
    padding: 8px 27px;
    color: #333333;
}

#btnBox > .btn-reset:hover {
    background: #049DAA !important;
    color: #ffffff !important;
}

#header {
    /*margin-top: 30px;*/
    top: 0px;
    left: 0px;
    right: 0px;
    width: 100%;
    background-image: url("../images/header.png");
    background-size: 100% 112%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    box-shadow: none;
    /*height: ;*/
}

.titleInfo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    font-size: 26px;
    color: white;
    margin: 0 auto;
    letter-spacing: 3px;
    height: 72px;
}

.titleInfo > img { /*logo*/
    margin: 0px 20px;

}

.title {
    padding: 2rem 0px;
}

.title > p {
    padding: 0px;
    margin: 0px auto;
    color: #333;
}

.title > p:nth-child(1) {
    font-size: 1.5rem;
    letter-spacing: 0.6rem;
    margin-bottom: 20px;
}

.title > p:nth-child(2) {
    font-size: 0.1rem;
    letter-spacing: -0.06rem;
}

.borderIcon {
    padding: 10px 24px !important;
    background: url(../images/border.png) no-repeat center center;
    background-size: 100% 100%;
    font-size: 16px;
    color: #5FD5E8;
}

.borderSpan {
    float: right;
    font-size: 15px;
    color: #fff !important;
    cursor: pointer;
}

#username {
    height: 18px;
    /*background: url(../images/usericon.png) no-repeat 10px center !important;*/
    /*background-size: auto 100%;*/
}

#password {
    height: 18px;
    /*background: url(../images/password.png) no-repeat 10px center !important;*/
    /*background-size: auto 100%;*/
}

.usernamelabel {
    height: 38px;
    width: 38px;
    background: url(../images/usericon.png) no-repeat;
    /*border: 1px solid #CCC !important;*/
    background-position: center;
}

.passwordlabel {
    height: 38px;
    width: 38px;
    background: url(../images/password.png) no-repeat;
    /*border: 1px solid #CCC !important;*/
    background-position: center;
}

#toggleBtn {
    width: 67px !important;
    height: 67px !important;
}

#mainBox2 {
    display: none;
    width: 100%;
}

#mainBox2 > img {
    width: 80%;
    margin: 0 auto;
    margin-left: 10%;
}

#mainBox2 > span {
    marign-top: 20px;
    display: block;
    text-align: center;
    font-size: 16px;
    color: #333333;
}

.copyright {
    /*margin-top: 20px;*/
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 37px;
    /*text-align: left;*/
    font-style: normal;
    text-transform: none;
    margin-right: 30px;
}
 .login-bottom {
     position: fixed;
     bottom: 0;
     display: flex;
     justify-content: center;
     width: 100%;
     height: 37px;
     background: rgba(0,0,0,0.3);
     border-radius: 0px 0px 0px 0px;
 }
 #headH {
     font-size:36px !important;
     font-weight: 400 !important;
     width: 100% !important;
     text-align: left !important;
     color: #C7DDFF !important;
     padding: 20px 0px !important;
     margin-bottom: 20px !important;
     background:transparent !important;
 }
.row-input {
    background: rgba(26, 30, 38, 0.6) !important;
    border-radius: 0px 0px 0px 0px !important;
}
#authcode {
    background: rgba(26, 30, 38, 0.6) !important;
    border-radius: 0px 0px 0px 0px !important;
}
